Polygon warning

If you have problems using RGeostats package or if you simply need some help on an unlisted subject.

Polygon warning

Postby niafall » Fri Nov 11, 2016 3:53 pm

When working with a polygon generated using the polygon.create function, R is returning the following warning:

Code: Select all
Warning message:
In `[<-`(`*tmp*`, iset, value = list(<S4 object of class "polyset">)) :
  implicit list embedding of S4 objects is deprecated

I am wondering what issue is causing this?
niafall
 
Posts: 12
Joined: Tue May 17, 2016 5:46 pm

Re: Polygon warning

Postby Didier Renard » Sun Nov 13, 2016 9:54 pm

Please give the command that you used in the script.
I tried to reproduce the problem with no success.
Didier Renard
 
Posts: 251
Joined: Thu Sep 20, 2012 4:22 pm

Re: Polygon warning

Postby niafall » Wed Nov 16, 2016 8:17 pm

Apologies:
Code: Select all
polydaf <- read.csv("NS_islands_300.csv",header=T)
poly.data <- polygon.create(polydaf)
plot(poly.data)

The error was returned when I tried to plot the poly.data object.

Session info:
Code: Select all
R version 3.3.1 (2016-06-21)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows 7 x64 (build 7601) Service Pack 1

locale:
[1] LC_COLLATE=English_United Kingdom.1252
[2] LC_CTYPE=English_United Kingdom.1252   
[3] LC_MONETARY=English_United Kingdom.1252
[4] LC_NUMERIC=C                           
[5] LC_TIME=English_United Kingdom.1252   

attached base packages:
[1] grid      stats     graphics  grDevices utils     datasets  methods 
[8] base     

other attached packages:
 [1] RGeostats_11.0.4   Rcpp_0.12.7        mapdata_2.2-6      marmap_0.9.5     
 [5] dplyr_0.5.0        RODBC_1.3-14       sgeostat_1.0-27    fields_8.4-1     
 [9] spam_1.4-0         spatial_7.3-11     rgdal_1.1-10       maptools_0.8-39   
[13] maps_3.1.1         PBSmapping_2.69.76 doBy_4.5-15        mda_0.4-9         
[17] class_7.3-14       sp_1.2-3         

loaded via a namespace (and not attached):
 [1] plyr_1.8.4          tools_3.3.1         ncdf4_1.15         
 [4] RSQLite_1.0.0       tibble_1.2          lattice_0.20-33   
 [7] Matrix_1.2-6        DBI_0.5-1           stringr_1.1.0     
[10] raster_2.5-8        R6_2.2.0            foreign_0.8-66     
[13] adehabitatMA_0.3.11 reshape2_1.4.1      magrittr_1.5       
[16] MASS_7.3-45         assertthat_0.1      shape_1.4.2       
[19] stringi_1.1.2       lazyeval_0.2.0
niafall
 
Posts: 12
Joined: Tue May 17, 2016 5:46 pm

Re: Polygon warning

Postby Didier Renard » Wed Nov 16, 2016 10:18 pm

Unfortunately, there is nothing wrong in your script.
I can only imagine a problem linked to the file contents, or a conflict with a function of another package loaded in your environment (but this would really be a bad surprise).

So my proposal is that you try to reduce your csv file to a dozen of lines ... which can fit in this post ... if the error is still present for this reduced data set.

Ultimately we could imagine to send you the unpublished last version to check if this error is still there in the latest version. But I would be surprised as there is nothing new in the Polygon ...
Didier Renard
 
Posts: 251
Joined: Thu Sep 20, 2012 4:22 pm

Re: Polygon warning

Postby Fabien Ors » Thu Nov 17, 2016 10:36 pm

Dear,

It seems that we have to update RGeostats package by using the last R 3.3.X.
Then, the warning will disappear. Meantime, please ignore the message.

Thanks a lot,
Regards,
Fabien Ors
Administrateur du site
 
Posts: 124
Joined: Thu Sep 20, 2012 1:07 pm


Return to Other Troubleshooting

Who is online

Users browsing this forum: No registered users and 1 guest

cron